Subject: [6pack] Zenith Carbs: should I save from the crusher?

From: James_ <[email-masked]>
Date: Thu, 15 Jan 2015 15:16:12 -0800

>From time to time I visit auto salvage yards. The ones out west only keep cars for 30-90 days. Then they are crushed! Back east the yards save vehicles a long time. So I never felt pressured to grab parts. 
Now I loose sleep knowing that parts are being destroyed. I don't need the parts but maybe others do. Now I didn't really want to be in the business of being a parts warehouse, but maybe I do start investing in used parts. For example I just found out a 1972 Jag got crushed that had perfect Zenith carbs on it. Ugh! I found another Jag (1974) and thinking it is my duty to start saving parts. 
Just wanting a reality check...should I start investing in saving things like carbs? It would probably cost me a bit but if I broke even and not stuck with the parts - I am ok with that. Just need to pick and choose what parts. 
I think a good set of carbs would be good to save. 
Others agree??? They are no longer made but maybe people just switch to Webers anyway. 

bSent from my Atari 2600b
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack